char *copyofstr(str)
char *str;
{
 char *cp;
 char *malloc();

 if (str == 0)
  { return(0);
  }
 cp = malloc(strlen(str)+1);
 if (cp == 0)
  { return(0);
  }
 strcpy(cp,str);
 return(cp);
}

char *copyofblk(blk,len)
char *blk;
int len;
{
 char *cp;
 char *malloc();

 if (blk == 0)
  { return(0);
  }
 cp = malloc(len);
 if (cp == 0)
  { return(0);
  }
 bcopy(blk,cp,len);
 return(cp);
}
